Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.email.formatting
Class JspEmailTextFormatter

    java.lang.Object
      com.bea.netuix.application.communities.invitations.email.formatting.JspEmailTextFormatter

All Implemented Interfaces
  EmailTextFormatter

    public class JspEmailTextFormatter

extends Object
implements EmailTextFormatter

`EmailTextFormatter` class that uses a jsp for assembling the subject and body of an email invitation.

The overview of community functionality contains a description of the community framework.

Field Summary
`static String` | `INVITATION_DETAIL_CACHE_KEY`

Constructor Summary
`JspEmailTextFormatter(String jspSubjectURI, String jspBodyURI, Map<String,String> jspParams, String runAs)` Constructor

Method Summary
`void` | `destroy()` Called by `EmailInviter` implementations once they are completed using this `EmailTextFormatter`, giving the formatter an opportunity to do any necessary cleanup or to release resources obtained in init.
`EmailContent` | `getBody(Invitee i)` Get the email body text for the current `Invitee`
`EmailContent` | `getSubject(Invitee i)` Get the email subject text for the current `Invitee`
`void` | `init(InvitationDetails invitationDetails, String invitationURL)` Perform any one-time setup operations that need to be done such as obtaining resources that are needed during calls to getSubject and getBody

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVITATION_DETAIL_CACHE_KEY

    public static final String INVITATION_DETAIL_CACHE_KEY

See Also
  Constants Summary

Constructor Detail

### JspEmailTextFormatter

    public JspEmailTextFormatter(String jspSubjectURI,
                                 String jspBodyURI,
                                 Map<String,String> jspParams,
                                 String runAs)

  Constructor

  Parameters
    `jspSubjectURI` - the URI to the jsp that assembles the email subject text
    `jspBodyURI` - the URI to the jsp that assembles the email body text
    `jspParams` - `Map` of request parameters to append to the jsp request. Can be null if no custom parameters need to be added.
    `runAs` - optional user to run the jsp includes as, if the security restrictions have been place on the jsp's. Can be null if no security restrictions are in place.

Method Detail

### init

    public void init(InvitationDetails invitationDetails,
                     String invitationURL)

  Description copied from interface: `EmailTextFormatter`
  Perform any one-time setup operations that need to be done such as obtaining resources that are needed during calls to getSubject and getBody

  Specified by:
    `init` in interface `EmailTextFormatter`
  Parameters
    `invitationDetails` - the `InvitationDetails` for this invitation operation
    `invitationURL` - the URL to the registration page or the community for this invitation operation. Email messages should include this URL so that recipients can navigate to the inviting community.

### getSubject

    public EmailContent getSubject(Invitee i)
                            throws IOException

  Description copied from interface: `EmailTextFormatter`
  Get the email subject text for the current `Invitee`

  Specified by:
    `getSubject` in interface `EmailTextFormatter`
  Parameters
    `i` - the current `Invitee`
  Returns
    subject text
  Throws
    `IOException`

### getBody

    public EmailContent getBody(Invitee i)
                         throws IOException

  Description copied from interface: `EmailTextFormatter`
  Get the email body text for the current `Invitee`

  Specified by:
    `getBody` in interface `EmailTextFormatter`
  Parameters
    `i` - the current `Invitee`
  Returns
    body text
  Throws
    `IOException`

### destroy

    public void destroy()

  Description copied from interface: `EmailTextFormatter`
  Called by `EmailInviter` implementations once they are completed using this `EmailTextFormatter`, giving the formatter an opportunity to do any necessary cleanup or to release resources obtained in init.

  Specified by:
    `destroy` in interface `EmailTextFormatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.